plan:
  image: tuxsuite/tuxsuite
  variables:
    GIT_REPO: 'https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git'
    GIT_REF: master
  before_script:
    - |
      cat > plan.yaml << EOF
      version: 1
      name: kernel validation
      description: Build and test linux kernel for arm64 using all gcc toolchains
      jobs:
      - builds:
        - {toolchain: gcc-8, target_arch: arm64, kconfig: defconfig}
        - {toolchain: gcc-9, target_arch: arm64, kconfig: defconfig}
        - {toolchain: gcc-10, target_arch: arm64, kconfig: defconfig}
        - {toolchain: gcc-11, target_arch: arm64, kconfig: defconfig}
        - {toolchain: gcc-12, target_arch: arm64, kconfig: defconfig}
      test: {device: qemu-arm64, tests: [ltp-smoke]}
      EOF
  script:
    - tuxsuite plan --git-repo $GIT_REPO --git-ref $GIT_REF plan.yaml
